This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 803676 - [FEAT] More volume status improvments
[FEAT] More volume status improvments
Status: CLOSED UPSTREAM
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
Unspecified All
high Severity medium
: ---
: ---
Assigned To: Kaushal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 08:07 EDT by Kaushal
Modified: 2015-12-01 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-12 02:37:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kaushal 2012-03-15 08:07:13 EDT
Volume status also needs to fetch details of the self-heal-daemon.
Also nfs & shd status details need to be included in the normal volume status output.
Comment 1 Anand Avati 2012-03-29 10:47:59 EDT
CHANGE: http://review.gluster.com/3016 (cli,glusterd: more volume status improvements) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 M S Vishwanath Bhat 2012-04-12 02:37:52 EDT
Now the volume status reports self heal daemon details as well as nfs details. 


[root@QA-25 vishwa]# gluster v status

Status of volume: hosdu
Gluster process                                         Port    Online  Pid
------------------------------------------------------------------------------
Brick 172.17.251.63:/data/bricks/hosdu_brick1           24009   Y       12859
Brick 172.17.251.66:/data/bricks/hosdu_brick2           24009   Y       5964
Brick 172.17.251.65:/data/bricks/hosdu_brick3           24009   Y       6046
Brick 172.17.251.64:/data/bricks/hosdu_brick4           24009   Y       29824
NFS Server on localhost                                 38467   Y       30296
Self-heal Daemon on localhost                           N/A     Y       30302
NFS Server on 172.17.251.63                             38467   Y       13049
Self-heal Daemon on 172.17.251.63                       N/A     Y       13055
NFS Server on 172.17.251.65                             38467   Y       6052
Self-heal Daemon on 172.17.251.65                       N/A     Y       6058
NFS Server on 172.17.251.66                             38467   Y       5970
Self-heal Daemon on 172.17.251.66                       N/A     Y       5976

Note You need to log in before you can comment on or make changes to this bug.